configuration

# Class: LAMConfig Source Location: /lib/config.inc
### Class Overview
This class manages .conf files. | ### Constants ACCESS_ALL ACCESS_PASSWORD_CHANGE ACCESS_READ_ONLY | ### Methods __construct check_Passwd getAccessLevel getName get_AccountModules get_ActiveTypes get_Admins get_Adminstring get_cacheTimeout get_cacheTimeoutSec get_defaultLanguage get_listAttributes get_moduleSettings get_scriptPath get_scriptRights get_scriptServers get_ServerURL get_Suffix get_typeSettings isWritable save setAccessLevel set_AccountModules set_ActiveTypes set_Adminstring set_cacheTimeout set_defaultLanguage set_listAttributes set_moduleSettings set_Passwd set_scriptPath set_scriptRights set_scriptServers set_ServerURL set_Suffix set_typeSettings
### Class Details [line 164] This class manages .conf files. [ Top ] ### Class Methods ### constructor __construct [line 234]
`LAMConfig __construct( [integer $file = 0])`
Loads preferences from config file #### Parameters:
integer | $file | Index number in config file array
[ Top ] ### method check_Passwd [line 487]
`boolean check_Passwd( String $password)`
Checks if the given password matches. #### Tags:
return: | true, if matches
access: | public
#### Parameters:
String | $password |
[ Top ] ### method getAccessLevel [line 861]
`int getAccessLevel( )`
Returns the access level for this profile. #### Tags:
return: | level
access: | public
[ Top ] ### method getName [line 403]
`String getName( )`
Returns the name of the config file #### Tags:
return: | name
access: | public
[ Top ] ### method get_AccountModules [line 765]
`array get_AccountModules( string $scope)`
Returns an array of all selected account modules #### Tags:
return: | user modules
access: | public
#### Parameters:
string | $scope | account type
[ Top ] ### method get_ActiveTypes [line 821]
`array get_ActiveTypes( )`
Returns a list of active account types. #### Tags:
return: | list of types
access: | public
[ Top ] ### method get_Admins [line 453]
`array get_Admins( )`
Returns an array of string with all admin names #### Tags:
return: | the admin names
access: | public
[ Top ] ### method get_Adminstring [line 462]
`string get_Adminstring( )`
Returns all admin users seperated by semicolons #### Tags:
return: | the admin string
access: | public
[ Top ] ### method get_cacheTimeout [line 731]
`integer get_cacheTimeout( )`
Returns the LDAP cache timeout in minutes #### Tags:
return: | cache time
access: | public
[ Top ] ### method get_cacheTimeoutSec [line 741]
`integer get_cacheTimeoutSec( )`
Returns the LDAP cache timeout in seconds #### Tags:
return: | cache time
access: | public
[ Top ] ### method get_defaultLanguage [line 600]
`string get_defaultLanguage( )`
Returns the default language string #### Tags:
return: | default language
access: | public
[ Top ] ### method get_listAttributes [line 574]
`string get_listAttributes( string $scope)`
Returns the list of attributes to show in user list #### Tags:
return: | the attribute list
access: | public
#### Parameters:
string | $scope | account type
[ Top ] ### method get_moduleSettings [line 812]
`array get_moduleSettings( )`
Returns a list of saved module settings #### Tags:
return: | list of settings: array(name => value)
access: | public
[ Top ] ### method get_scriptPath [line 621]
`string get_scriptPath( )`
Returns the path to the external script #### Tags:
return: | script path
access: | public
[ Top ] ### method get_scriptRights [line 704]
`string get_scriptRights( )`
Returns the chmod value for new home directories. #### Tags:
return: | rights
access: | public
[ Top ] ### method get_scriptServers [line 643]
`string get_scriptServers( )`
Returns the servers of the external script as a Array #### Tags:
return: | script servers
access: | public
[ Top ] ### method get_ServerURL [line 432]
`string get_ServerURL( )`
Returns the server address as string #### Tags:
return: | server address
access: | public
[ Top ] ### method get_Suffix [line 538]
`string get_Suffix( string $scope)`
Returns the LDAP suffix for the given account type #### Tags:
return: | the LDAP suffix
access: | public
#### Parameters:
string | $scope | account type
[ Top ] ### method get_typeSettings [line 852]
`array get_typeSettings( )`
Returns a list of saved type settings #### Tags:
return: | list of settings: array(name => value)
access: | public
[ Top ] ### method isWritable [line 412]
`boolean isWritable( )`
Returns if the file can be written on the filesystem. #### Tags:
return: | true if file is writable
access: | public
[ Top ] ### method save [line 307]
`void save( )`
Saves preferences to config file #### Tags:
access: | public
[ Top ] ### method setAccessLevel [line 870]
`void setAccessLevel( int $level)`
Sets the access level for this profile. #### Tags:
access: | public
#### Parameters:
int | $level | level
[ Top ] ### method set_AccountModules [line 781]
`boolean set_AccountModules( array $modules, string $scope)`
Sets the selected account modules #### Tags:
return: | true if $modules has correct format
access: | public
#### Parameters:
array | $modules | array with module names (not aliases!)
string | $scope | account type
[ Top ] ### method set_ActiveTypes [line 831]
`void set_ActiveTypes( array $types)`
Sets the list of active types. #### Tags:
access: | public
#### Parameters:
array | $types | list of types
[ Top ] ### method set_Adminstring [line 472]
`boolean set_Adminstring( string $value)`
Sets the admin string #### Tags:
return: | true if $value has correct format
access: | public
#### Parameters:
string | $value | new admin string that contains all admin users seperated by semicolons
[ Top ] ### method set_cacheTimeout [line 751]
`boolean set_cacheTimeout( integer $value)`
Sets the LDAP cache timeout in minutes (0,1,2,5,10,15) #### Tags:
return: | true if $value has correct format
access: | public
#### Parameters:
integer | $value | new cache timeout
[ Top ] ### method set_defaultLanguage [line 610]
`boolean set_defaultLanguage( string $value)`
Sets the default language string #### Tags:
return: | true if $value has correct format
access: | public
#### Parameters:
string | $value | new default language
[ Top ] ### method set_listAttributes [line 585]
`boolean set_listAttributes( string $value, string $scope)`
Sets the list of attributes to show in user list #### Tags:
return: | true if $value has correct format
access: | public
#### Parameters:
string | $value | new attribute string
string | $scope | account type
[ Top ] ### method set_moduleSettings [line 801]
`boolean set_moduleSettings( array $settings)`
Sets the settings for the account modules. #### Tags:
return: | true if $settings has correct format
access: | public
#### Parameters:
array | $settings | list of module setting array(name => value)
[ Top ] ### method set_Passwd [line 507]
`boolean set_Passwd( string $value)`
Sets the preferences wizard password #### Tags:
return: | true if $value has correct format
access: | public
#### Parameters:
string | $value | new password
[ Top ] ### method set_scriptPath [line 631]
`boolean set_scriptPath( string $value)`
Sets the path to the external script #### Tags:
return: | true if $value has correct format
access: | public
#### Parameters:
string | $value | new script path
[ Top ] ### method set_scriptRights [line 715]
`boolean set_scriptRights( string $chmod)`
Sets the rights for the home directory. #### Tags:
return: | true if values has correct format
access: | public
#### Parameters:
string | $chmod | the rights
[ Top ] ### method set_scriptServers [line 653]
`boolean set_scriptServers( string $value)`
Sets the servers of the external script #### Tags:
return: | true if $value has correct format
access: | public
#### Parameters:
string | $value | new script servers
[ Top ] ### method set_ServerURL [line 442]
`boolean set_ServerURL( string $value)`
Sets the server address #### Tags:
return: | true if $value has correct format
access: | public
#### Parameters:
string | $value | new server address
[ Top ] ### method set_Suffix [line 554]
`boolean set_Suffix( string $scope, string $value)`
Sets the LDAP suffix where accounts are saved #### Tags:
return: | true if $value has correct format
access: | public
#### Parameters:
string | $scope | account type
string | $value | new LDAP suffix
[ Top ] ### method set_typeSettings [line 841]
`boolean set_typeSettings( array $settings)`
Sets the settings for the account types. #### Tags:
return: | true if $settings has correct format
access: | public
#### Parameters:
array | $settings | list of type setting array(name => value)
[ Top ] ### Class Constants #### ACCESS_ALL = 100 [line 166] [ Top ] #### ACCESS_PASSWORD_CHANGE = 20 [line 167] [ Top ] #### ACCESS_READ_ONLY = 0 [line 168] [ Top ] Documentation generated on Thu, 07 Feb 2008 20:26:22 +0100 by phpDocumentor 1.4.0